EPPTransportTCPTLS (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0705.rtk.transport.EPPTransportTCPTLS class

### com.tucows.oxrs.epp0705.rtk.transport

# Class EPPTransportTCPTLS

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0705.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0705.rtk.transport.EPPTransportBase`
    - - `com.tucows.oxrs.epp0705.rtk.transport.EPPTransportTCP`
      - - `com.tucows.oxrs.epp0705.rtk.transport.EPPTransportTCPTLS`

`public class EPPTransportTCPTLS`
`extends EPPTransportTCP`

Provides methods necessary to build connection with EPP Server using a SSL-TLS socket. It only overrides the connect() method from EPPTransportTCP since the remaining socket operations are identical to unencrypted sockets.

This class uses Sun's JSSE to establish a secure connection with the server. It makes use of the RTK property "ssl.props.location" to retrieve the ssl.properties. This properties file contains information necessary to locate the java keystore, the names of the keys and certificates contained inside it and the necessary passwords to access the keystore. The epp-rtk/java/ssl director contains more information regarding the data required to create a keystore and the steps to do so.

If the user does not wish to use the default Sun JSSE but rather a third party SSL implemention, then the socket connection should be established externally and an instance of EPPTransportTCP should be created using the connected socket.

Please see the EPP RTK User's Guide for more information on secure connections to EPP servers.

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.transport.EPPTransportTCP
  `INT_SZ`, `preset_`, `reader_from_server_`, `socket_to_server_`, `writer_to_server_`

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.transport.EPPTransportBase
  `DEFAULT_SOCKET_TIMEOUT`, `epp_host_name_`, `epp_host_port_`, `epp_timeout_`

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPTransportTCPTLS()` Default Construtor
  `EPPTransportTCPTLS(String host_name, int host_port, int timeout)` Construtor with Hostname, Host port and timeout value

  ## Method Summary
  `void` | `connect()` Connects to the Server using previously set Hostname and port.

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.transport.EPPTransportTCP
  `connect`, `disconnect`, `readBufferSize`, `readFromServer`, `readInputBuffer`, `writeBufferSize`, `writeToServer`

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.transport.EPPTransportBase
  `connect`, `disconnect`, `getEPPHostName`, `getEPPHostPort`, `getEPPTimeout`, `initialize`, `readFromServer`, `setEPPHostName`, `setEPPHostPort`, `setEPPTimeout`, `writeToServer`

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getEasyProperty`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPTransportTCPTLS

    public EPPTransportTCPTLS()

> Default Construtor

### EPPTransportTCPTLS

    public EPPTransportTCPTLS(String host_name,
                              int host_port,
                              int timeout)

> Construtor with Hostname, Host port and timeout value
> Parameters:
>   `host_name` - The server Hostname
>   `host_port` - The server Host port
>   `timeout` - The int socket timeout value, in milliseconds

## Method Details

### connect

    public void connect()
                throws SocketException,
                       IOException,
                       UnknownHostException,
                       EPPTransportException

> Connects to the Server using previously set Hostname and port. If connection has been already established, the operation will be ignored. The method also sets the SO timeout.
> Overrides:
>   connect in interface EPPTransportTCP

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS